<?
/* DESCRIPTION: 3-pane layout.
Gives Squirrelmail a three-pane layout known from some mail clients */
/*
 * Adding a rule: 
 * 
 *  $rules['script'][] = array('pattern' => 'replacement');
 *
 */

$rules['webmail.php'][] = array(
		'%(<frame src="right_main\.php"[^>]*>)[^<]*(</frameset>)%mU'
	=>
		'<frameset rows="35%,65%">\1<frame src="/src/help.php" name="messagepane" frameborder="1">\2'
        );

$rules['right_main.php'][] = $rules['search.php'][] = array(
		'%(<a href="read_body\.php\?mailbox=[^&"]*&amp;passed_id=[0-9]*&amp;startMessage=[^"]*"[[:space:]]*(?:title="[^"]*")?[[:space:]]*)([^>]*?>.*?</a>)%mU'
	=>
		'\1 target="messagepane"\2'
	);

$rules['read_body.php'][] = array(
		'%(<a\s*href[^>]*)target\s*=\s*"right"([^>]*>)%'
	=>
		'\1\2'
	);

$rules['*'][] = array(
		'%(<a href="/(?:src|plugins)/(?!search)[^"]*"[^>]*)(?:target="right")?([^>]*>[^<]*</a>&nbsp;&nbsp;)(?=.*<a href="http://www\.squirrelmail\.org/")%msU'
	=>
		'\1 target="messagepane" \2'
	);

?>