<?
/* DESCRIPTION: Tidy up the delivered HTML code
The HTML code will be passed to HTML Tidy (by Dave Raggett). Warnings and
errors are displayed as comment in the source code. */

$filename = '/tmp/'.uniqid("tidy-", true);
$fd = fopen($filename, "w");
fwrite($fd, $data);
fclose($fd);

$ndata = shell_exec("tidy -i -c -wrap 120 -q -f ${filename}-err $filename ");

$error = "\n\n" . implode("", file("${filename}-err"));

if( (strpos($error, "This document has errors") === false)
    && (strlen($ndata) > 100) ) {
  $data = $ndata;
}  
$data .= "<!-- $error -->";

@unlink($filename);
@unlink("${filename}-err");

?>